<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.usual.mapper.KwOrderCarWaybillDisAddressMapper">

    <select id="findByAddressByOrderId" resultType="com.sckw.usual.entity.KwOrderCarWaybillDisAddress">
        select * from kw_order_car_waybill_order_dispatch_address where del_flag = 0
        and waybill_id = #{waybillId}
    </select>
    <select id="findByAddressByWaybillIds" parameterType="java.util.List" resultType="com.sckw.usual.entity.KwOrderCarWaybillDisAddress">
        select * from kw_order_car_waybill_order_dispatch_address where del_flag = 0
        and waybill_id IN (
        <foreach item="waybillId" index="index" collection="list" separator=",">
            #{orderId}
        </foreach>
        )
    </select>
</mapper>